input = open("starwars_ascii_art.txt").read()

input = input.splitlines()
solution = ( (list(),list()), (list(),list()) )

for line in range(len(input)):
    for c in range(len(input[line])):
        solution[line%2][c%2].append(input[line][c])
    solution[0][0].append("\n")
    solution[0][1].append("\n")
    solution[1][0].append("\n")
    solution[1][1].append("\n")

print("".join(solution[0][0]), "\n")
print("".join(solution[0][1]), "\n")
print("".join(solution[1][0]), "\n")
print("".join(solution[1][1]), "\n")
